import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { User } from './user';
/**
 * ng2 Google maps
 */
import {
 MapsAPILoader,
 NoOpMapsAPILoader,
 MouseEvent
} from 'angular2-google-maps/core';

//import { AgmCoreModule } from 'angular2-google-maps/core';


@Component({
    selector: 'contact-us',
    template: require('./contact-us.component.html'),
    styles: [require('./contact-us.component.css')]
})
export class ContactUsComponent{ 
    public hidden:boolean = true;

    constructor(private router:Router){
        console.log(router);
    }
    
  //for contact form
  submitted = false; //form not submited : default
  
  model = new User(1, '', '', '','');
  newUser() {
    this.model = new User(4, '', '','','');
  }

  data: string; //this variable contains our data

    //Show data after form submit and set submitted to true
    onSubmit(data) {
        this.submitted = true;
        this.data = JSON.stringify(data, null, 2);
        console.log(this.data);
    }

  // google maps zoom level
  zoom: number = 8;
  
  // initial center position for the map
  lat: number = 28.5389;
  lng: number = 77.3396;
}